## python-flake8 3.2.0

=== docs/source/requirements.txt ===
sphinx>=1.3.0
sphinx_rtd_theme
sphinx-prompt
configparser
flake8-polyfill

## python-flake8 2.0

=== debian/changelog ===
python-flake8 (2.0-2) unstable; urgency=low

  * Team upload.
  * Add additional build-dependencies, such that dh_python2|3 can
    correctly resolve python modules -> debian package name
    dependencies. (Closes: #725236)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 03 Oct 2013 09:09:42 +0100

python-flake8 (2.0-1) unstable; urgency=low

  * Initial release (Closes: #661044)

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Jun 2013 05:42:51 +0000

=== debian/control ===
Source: python-flake8
Section: python
Priority: optional
Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 pyflakes,
 pep8,
 python3-pep8,
 python3-mccabe
Standards-Version: 3.9.4
Homepage: http://bitbucket.org/tarek/flake8
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-flake8/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-flake8/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >=3.1

Package: python-flake8
Architecture: any
Depends: pep8 (>= 1.4.3),
 pyflakes (>= 0.6.1),
 python-mccabe (>= 0.2),
 ${misc:Depends},
 ${python:Depends}
Description: code checker using pep8 and pyflakes
 Flake8 is a wrapper around PyFlakes, pep8, and Ned's McCabe script. Flake8
 runs all tools by launching the single 'flake8' script, but ignores pep8 and
 PyFlakes extended options and just uses defaults. It displays the warnings in
 a per-file, merged output.
 .
 This package provides Python 2 module bindings only.

Package: python3-flake8
Architecture: any
Depends: pep8 (>= 1.4.3),
 pyflakes (>= 0.6.1),
 python-flake8,
 python3-mccabe (>= 0.2),
 ${misc:Depends},
 ${python3:Depends}
Description: code checker using pep8 and pyflakes (Python 3)
 Flake8 is a wrapper around PyFlakes, pep8, and Ned's McCabe script. Flake8
 runs all tools by launching the single 'flake8' script, but ignores pep8 and
 PyFlakes extended options and just uses defaults. It displays the warnings in
 a per-file, merged output.
 .
 This package provides Python 3 module bindings only.

## python-flake8 2.1.0

=== debian/changelog ===
python-flake8 (2.1.0-1ubuntu1) trusty; urgency=medium

  * debian/tests/tools: Call flake8 on some actual files (setup.py as a
    known-good one, and a synthetic one for a known-bad one) instead of
    without arguments on an empty directory.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 24 Mar 2014 10:28:25 +0100

python-flake8 (2.1.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Add manpage. Closes: #722704
  * debian/control:
    - Update versioned depends
  * Make basic autopkgtest

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 05 Nov 2013 16:52:26 +1100

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,30 @@
 Priority: optional
 Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
  python-all,
  python-setuptools,
  python3-all,
  python3-setuptools,
- pyflakes,
- pep8,
- python3-pep8,
- python3-mccabe
+ pyflakes (>= 0.7.3),
+ pep8 (>= 1.4.6),
+ python3-pep8 (>= 1.4.6),
+ python3-mccabe (>= 0.2.1)
 Standards-Version: 3.9.4
 Homepage: http://bitbucket.org/tarek/flake8
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-flake8/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-flake8/trunk/
 X-Python-Version: >= 2.6
 X-Python3-Version: >=3.1
+XS-Testsuite: autopkgtest
 
 Package: python-flake8
 Architecture: any
-Depends: pep8 (>= 1.4.3),
- pyflakes (>= 0.6.1),
- python-mccabe (>= 0.2),
+Depends: pep8 (>= 1.4.6),
+ pyflakes (>= 0.7.3),
+ python-mccabe (>= 0.2.1),
  ${misc:Depends},
  ${python:Depends}
 Description: code checker using pep8 and pyflakes
@@ -37,10 +39,10 @@
 
 Package: python3-flake8
 Architecture: any
-Depends: pep8 (>= 1.4.3),
- pyflakes (>= 0.6.1),
+Depends: pep8 (>= 1.4.6),
+ pyflakes (>= 0.7.3),
  python-flake8,
- python3-mccabe (>= 0.2),
+ python3-mccabe (>= 0.2.1),
  ${misc:Depends},
  ${python3:Depends}
 Description: code checker using pep8 and pyflakes (Python 3)

=== debian/rules ===
#!/usr/bin/make -f
PY2_PACKAGE_NAME=python-flake8
PY3_PACKAGE_NAME=python3-flake8

PYVERS=$(shell pyversions -r)
PY3VERS=$(shell py3versions -r)

%:
	dh $@  --with python2,python3

override_dh_auto_clean:
	rm -rf flake8.egg-info
	rm -rf build
	dh_auto_clean

override_dh_auto_build:
	set -xe; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py setup.py build; \
	done

	# Remove me when dh_python2 can handle this file
	rm -vf debian/*/usr/lib/python*/*-packages/*.egg-info/SOURCES.txt

override_dh_auto_install:
	set -xe; \
	for py in $(PYVERS); do \
		$$py setup.py install  --root=debian/python-flake8 --install-layout=deb ; \
	done
	set -xe; \
	for py in $(PY3VERS); do \
		$$py setup.py install  --root=debian/python3-flake8 --install-layout=deb ; \
	done
	rm -rf debian/python3-flake8/usr/bin

override_dh_python2:
	dh_python2 --shebang=/usr/bin/python

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
Tests: tools
Depends: @

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/f/flake8/flake8-(.*)\.tar\.gz

## python-flake8 2.2.2

=== debian/changelog ===
python-flake8 (2.2.2-1ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 16 Feb 2015 07:26:56 +0000

python-flake8 (2.2.2-1ubuntu1) vivid; urgency=medium

  * Merge from Debian testing. Remaining changes:
    - debian/rules: Run tests during package build. 
    - debian/tests/tools: Call flake8 on some actual files (setup.py as a
      known-good one, and a synthetic one for a known-bad one) instead of
      without arguments on an empty directory.

 -- Liam Young <liam.young@canonical.com>  Fri, 23 Jan 2015 17:50:41 +0000

python-flake8 (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control: update Standards-Version to 3.9.5.0 (no change)
  * debian/rules: remove unused PY2_PACAKGE_NAME and PY3_PACKAGE_NAME 
  * debian/control: change architecture to 'arch: all' since there are
    no binary or otherwise arch-specific executables in this package
  * debian/control: correct dependencies for python3-flake8 (python3-pep8
    instead of pep8, remove python3-flake8)
  * debian/copyright: add current upstream maintainer copyright 
  * debian/control: add Suggest: python-mock to python-flake8, this is
    required to run the tests
  * debian/tests/control: install python-mock to let tests run, note that
    tests are currently relying on the executable which is currently
    python2-only so no similar changes are made to the python3 side of the
    package
  * debian/control: bump dependencies as required by flake8

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Wed, 16 Jul 2014 16:54:57 +0200

python-flake8 (2.1.0-2) unstable; urgency=medium

  * Added debian/py{3,}dist-overrides for pyflakes.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Apr 2014 15:59:54 +0000

python-flake8 (2.1.0-1ubuntu2) utopic; urgency=medium

  * debian/rules: Run tests during package build. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jul 2014 08:10:40 -0400

=== debian/control ===
Source: python-flake8
Section: python
Priority: optional
Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               pep8 (>= 1.5.7),
               pyflakes (>= 0.8.1),
               python-all,
               python-mccabe,
               python-mock,
               python-nose,
               python-setuptools,
               python3-all,
               python3-mccabe (>= 0.2.1),
               python3-mock,
               python3-nose,
               python3-pep8 (>= 1.5.7),
               python3-setuptools
Standards-Version: 3.9.5
Homepage: http://bitbucket.org/tarek/flake8
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-flake8/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-flake8/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >=3.1
XS-Testsuite: autopkgtest

Package: python-flake8
Architecture: all
Depends: pep8 (>= 1.5.7),
         pyflakes (>= 0.8.1),
         python-mccabe (>= 0.2.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-mock
Description: code checker using pep8 and pyflakes
 Flake8 is a wrapper around PyFlakes, pep8, and Ned's McCabe script. Flake8
 runs all tools by launching the single 'flake8' script, but ignores pep8 and
 PyFlakes extended options and just uses defaults. It displays the warnings in
 a per-file, merged output.
 .
 This package provides Python 2 module bindings only.

Package: python3-flake8
Architecture: any
Depends: python3-pep8 (>= 1.5.7),
         pyflakes (>= 0.8.1),
         python3-mccabe (>= 0.2.1),
         ${misc:Depends},
         ${python3:Depends}
Description: code checker using pep8 and pyflakes (Python 3)
 Flake8 is a wrapper around PyFlakes, pep8, and Ned's McCabe script. Flake8
 runs all tools by launching the single 'flake8' script, but ignores pep8 and
 PyFlakes extended options and just uses defaults. It displays the warnings in
 a per-file, merged output.
 .
 This package provides Python 3 module bindings only.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-PY2_PACKAGE_NAME=python-flake8
-PY3_PACKAGE_NAME=python3-flake8
-
 PYVERS=$(shell pyversions -r)
 PY3VERS=$(shell py3versions -r)
 
@@ -12,6 +9,12 @@
 	rm -rf flake8.egg-info
 	rm -rf build
 	dh_auto_clean
+
+override_dh_auto_test:
+	set -xe; \
+	for py in $(PYVERS) $(PY3VERS); do \
+		$$py setup.py test; \
+	done
 
 override_dh_auto_build:
 	set -xe; \

=== debian/tests/control ===
Tests: tools
Depends: @, python-mock

## python-flake8 2.5.4

=== debian/changelog ===
python-flake8 (2.5.4-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/update-pyflakes-version.patch: Allow for pyflakes 1.1.
  * debian/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Mon, 14 Mar 2016 13:44:11 -0400

python-flake8 (2.5.4-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Team upload
  * New upstream release
  * Update of the standard version
  * Update of the homepage
  * Depends on python-pyflakes/python3-pyflakes instead of pyflakes
    (Closes: #804741)
  * Run the test suite when building the package
  * Cherry-pick Ubuntu changes

  [ Jackson Doak ]
  * debian/tests/tools: Call flake8 on some actual files (setup.py as a
    known-good one, and a synthetic one for a known-bad one) instead of
    without arguments on an empty directory. Closes: #742482

  [ Ondřej Nový ]
  * Standards-Version is 3.9.7 now (no change).
  * Vcs-Git changed to https.
  * Added python-pyflakes and dh-python to Build-Depend.
  * Removed useless XS-Testsuite.
  * Added myself to d/copyright.
  * Added myself as uploader.
  * d/copyright: Cleanup.
  * Removed python-mock from Debian tests dependency - it's not needed.
  * Moved /usr/bin/flake8 to solo package.
  * Changed architecture of python3-flake8 to all.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Mar 2016 18:32:47 +0100

python-flake8 (2.2.2-1ubuntu4) xenial; urgency=medium

  * Add explicit dependency on setuptools. LP: #1509396.
  * python-flake8: (Build)-Depend on python-pep8 instead of pep8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 17:42:39 +0200

python-flake8 (2.2.2-1ubuntu2) wily; urgency=medium

  * d/patches/py35-compat.patch: Added for Python 3.5 compatibility.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 15 Oct 2015 16:56:34 -0400

=== debian/control ===
Source: python-flake8
Section: python
Priority: optional
Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <novy@ondrej.org>,
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               pep8 (>= 1.5.7),
               python-all,
               python-mccabe,
               python-mock,
               python-nose,
               python-pep8 (>= 1.5.7),
               python-pyflakes (>= 0.8.1),
               python-setuptools,
               python3-all,
               python3-mccabe (>= 0.2.1),
               python3-mock,
               python3-nose,
               python3-pep8 (>= 1.5.7),
               python3-pyflakes (>= 0.8.1),
               python3-setuptools
Standards-Version: 3.9.7
Homepage: https://gitlab.com/pycqa/flake8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-flake8.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-flake8.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.1

Package: flake8
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-flake8,
Replaces: python-flake8 (<< 2.5.4-1)
Breaks: python-flake8 (<< 2.5.4-1)
Description: code checker using pep8 and pyflakes
 Flake8 is a wrapper around PyFlakes, pep8, and Ned's McCabe script. Flake8
 runs all tools by launching the single 'flake8' script, but ignores pep8 and
 PyFlakes extended options and just uses defaults. It displays the warnings in
 a per-file, merged output.
 .
 This package provides flake8 binary.

Package: python-flake8
Architecture: all
Depends: python-pep8 (>= 1.5.7),
         python-setuptools,
         python-pyflakes (>= 0.8.1),
         python-mccabe (>= 0.2.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-mock
Description: code checker using pep8 and pyflakes - Python 2.x
 Flake8 is a wrapper around PyFlakes, pep8, and Ned's McCabe script. Flake8
 runs all tools by launching the single 'flake8' script, but ignores pep8 and
 PyFlakes extended options and just uses defaults. It displays the warnings in
 a per-file, merged output.
 .
 This package provides Python 2 module bindings only.

Package: python3-flake8
Architecture: all
Depends: python3-pep8 (>= 1.5.7),
         python3-setuptools,
         python3-pyflakes (>= 0.8.1),
         python3-mccabe (>= 0.2.1),
         ${misc:Depends},
         ${python3:Depends}
Description: code checker using pep8 and pyflakes - Python 3.x
 Flake8 is a wrapper around PyFlakes, pep8, and Ned's McCabe script. Flake8
 runs all tools by launching the single 'flake8' script, but ignores pep8 and
 PyFlakes extended options and just uses defaults. It displays the warnings in
 a per-file, merged output.
 .
 This package provides Python 3 module bindings only.

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,10 @@
 	for py in $(PY3VERS); do \
 		$$py setup.py install  --root=debian/python3-flake8 --install-layout=deb ; \
 	done
-	rm -rf debian/python3-flake8/usr/bin
+
+	rm -rf debian/python-flake8/usr/bin
+	mkdir -p debian/flake8/usr
+	mv $(CURDIR)/debian/python3-flake8/usr/bin $(CURDIR)/debian/flake8/usr/
 
 override_dh_python2:
 	dh_python2 --shebang=/usr/bin/python

=== debian/tests/control ===
Tests: tools
Depends: @

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/flake8/flake8-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-flake8 3.0.4+dfsg1

=== debian/changelog ===
python-flake8 (3.0.4+dfsg1-1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 31 Aug 2016 09:48:43 +0000

python-flake8 (3.0.4+dfsg1-1) unstable; urgency=medium

  [ Barry Warsaw ]
  * d/patches/update-pyflakes-version.patch: Removed; applied upstream.

  [ Ondřej Nový ]
  * New upstream release.
  * d/{control,copyright}: Use my @debian.org email address
  * Generate changelog from docs/source/release-notes/*.rst
  * Bumped required Python version to 2.7 / 3.4
  * Rearranged build depends and depends for new upstream version
  * Renaming pep8 to pycodestyle
  * d/rules: Cleanup and use pybuild
  * Removed prebuilded docs from orig tarball
  * d/copyright: Fixed for new upstream release
  * Updated manpage for new release

 -- Ondřej Nový <onovy@debian.org>  Thu, 11 Aug 2016 20:40:21 +0200

python-flake8 (2.5.4-3) unstable; urgency=medium

  * d/patches/update-pyflakes-version.patch: Update for pyflakes 1.2.x.
    (Closes: #824195)
  * d/control:
    - Add myself to Uploaders.
    - Bump Standards-Version with no other changes needed.

 -- Barry Warsaw <barry@debian.org>  Fri, 13 May 2016 15:03:07 -0400

=== debian/control ===
Source: python-flake8
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <onovy@debian.org>,
           Barry Warsaw <barry@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               pycodestyle,
               python-all,
               python-configparser,
               python-enum34,
               python-mccabe (>= 0.5.0),
               python-mock,
               python-nose,
               python-pycodestyle,
               python-pyflakes (>= 0.8.1),
               python-pytest,
               python-pytest-runner,
               python-setuptools,
               python3-all,
               python3-mccabe (>= 0.5.0),
               python3-mock,
               python3-nose,
               python3-pycodestyle,
               python3-pyflakes (>= 0.8.1),
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://gitlab.com/pycqa/flake8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-flake8.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-flake8.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: flake8
Architecture: all
Depends: python3-flake8,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Replaces: python-flake8 (<< 2.5.4-1),
Breaks: python-flake8 (<< 2.5.4-1),
Description: code checker using pycodestyle and pyflakes
 Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.
 Flake8 runs all tools by launching the single 'flake8' script, but ignores
 pycodestyle and PyFlakes extended options and just uses defaults. It displays
 the warnings in a per-file, merged output.
 .
 This package provides flake8 binary.

Package: python-flake8
Architecture: all
Depends: python-mccabe (>= 0.5.0),
         python-pyflakes (>= 0.8.1),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-mock,
Description: code checker using pycodestyle and pyflakes - Python 2.x
 Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.
 Flake8 runs all tools by launching the single 'flake8' script, but ignores
 pycodestyle and PyFlakes extended options and just uses defaults. It displays
 the warnings in a per-file, merged output.
 .
 This package provides Python 2 module bindings only.

Package: python3-flake8
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: code checker using pycodestyle and pyflakes - Python 3.x
 Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.
 Flake8 runs all tools by launching the single 'flake8' script, but ignores
 pycodestyle and PyFlakes extended options and just uses defaults. It displays
 the warnings in a per-file, merged output.
 .
 This package provides Python 3 module bindings only.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = flake8

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf flake8.egg-info
	rm -rf build
	rm -rf tox.ini
	dh_auto_clean

override_dh_auto_test:
	touch tox.ini
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test

override_dh_auto_install:
	dh_auto_install

	rm -rf debian/python-flake8/usr/bin
	mkdir -p debian/flake8/usr
	mv $(CURDIR)/debian/python3-flake8/usr/bin $(CURDIR)/debian/flake8/usr/

override_dh_installchangelogs:
	rm -f debian/upstream-changelog
	set -e ; for i in $$(find docs/source/release-notes -name "*.rst" | sort -V -r) ; do \
		cat $$i ; \
		echo "" ; \
	done >>debian/upstream-changelog

	dh_installchangelogs debian/upstream-changelog

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1 \
https://pypi.debian.net/flake8/flake8-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-flake8 3.2.0

=== debian/changelog ===
python-flake8 (3.2.0-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Ondřej Nový <onovy@debian.org>  Fri, 18 Nov 2016 09:25:39 +0000

python-flake8 (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * d/patches/0001-Removed-pytest-options.patch:
    Removed, applied upstream
  * d/patches/0003-Add-previous_unindented_logical_line-attribute.patch:
    Removed, applied upstream
  * Removed dfsg rebuild of orig tarball, not needed anymore
  * d/control: Fixed deps for new release
  * d/flake8.1: Updated for new release

 -- Ondřej Nový <onovy@debian.org>  Thu, 17 Nov 2016 14:48:25 +0100

python-flake8 (3.0.4+dfsg1-4) unstable; urgency=medium

  * Bumped debhelper version to 10
  * Added patch to work with pycodestyle 2.1.0 (Closes: #843673)

 -- Ondřej Nový <onovy@debian.org>  Tue, 08 Nov 2016 19:51:43 +0100

python-flake8 (3.0.4+dfsg1-3) unstable; urgency=medium

  * Remove upper constrains from upstream requirements (Closes: #843036)

 -- Ondřej Nový <onovy@debian.org>  Thu, 03 Nov 2016 21:47:42 +0100

python-flake8 (3.0.4+dfsg1-2) unstable; urgency=medium

  * d/source/options: Ignore egg-info
  * d/rules: clean target fixed for new release
  * Require to install same version of python3-flake8 and flake8
    (Closes: #837169)

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Sep 2016 19:46:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
            Barry Warsaw <barry@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                pycodestyle,
                python-all,
@@ -38,7 +38,7 @@
 
 Package: flake8
 Architecture: all
-Depends: python3-flake8,
+Depends: python3-flake8 (=${binary:Version}),
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},
@@ -56,6 +56,7 @@
 Architecture: all
 Depends: python-mccabe (>= 0.5.0),
          python-pyflakes (>= 0.8.1),
+         python-setuptools,
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-mock,
@@ -69,7 +70,8 @@
 
 Package: python3-flake8
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-setuptools,
+         ${misc:Depends},
          ${python3:Depends},
 Description: code checker using pycodestyle and pyflakes - Python 3.x
  Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.

## python-flake8 3.2.1

=== debian/changelog ===
python-flake8 (3.2.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Require newer version of pyflakes.

 -- Ondřej Nový <onovy@debian.org>  Sat, 08 Apr 2017 16:16:19 +0200

python-flake8 (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bumped required version of mock to 2.0.0

 -- Ondřej Nový <onovy@debian.org>  Fri, 25 Nov 2016 20:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -13,19 +13,19 @@
                python-configparser,
                python-enum34,
                python-mccabe (>= 0.5.0),
-               python-mock,
+               python-mock (>= 2.0.0),
                python-nose,
                python-pycodestyle,
-               python-pyflakes (>= 0.8.1),
+               python-pyflakes (>= 1.1.0-1~),
                python-pytest,
                python-pytest-runner,
                python-setuptools,
                python3-all,
                python3-mccabe (>= 0.5.0),
-               python3-mock,
+               python3-mock (>= 2.0.0),
                python3-nose,
                python3-pycodestyle,
-               python3-pyflakes (>= 0.8.1),
+               python3-pyflakes (>= 1.1.0-1~),
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools,
@@ -55,7 +55,7 @@
 Package: python-flake8
 Architecture: all
 Depends: python-mccabe (>= 0.5.0),
-         python-pyflakes (>= 0.8.1),
+         python-pyflakes (>= 1.1.0-1~),
          python-setuptools,
          ${misc:Depends},
          ${python:Depends},
@@ -71,6 +71,7 @@
 Package: python3-flake8
 Architecture: all
 Depends: python3-setuptools,
+         python3-pyflakes (>= 1.1.0-1~),
          ${misc:Depends},
          ${python3:Depends},
 Description: code checker using pycodestyle and pyflakes - Python 3.x

## python-flake8 3.5.0

=== debian/changelog ===
python-flake8 (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/clean: Don't remove tox.ini
  * Fix typo in manpage

 -- Ondřej Nový <onovy@debian.org>  Sun, 10 Dec 2017 00:31:12 +0100

python-flake8 (3.4.1-3) unstable; urgency=medium

  * Uploading to unstable (Closes: #877940)
  * Standards-Version is 4.1.1 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Sun, 05 Nov 2017 20:46:51 +0100

python-flake8 (3.4.1-2) experimental; urgency=medium

  * Drop zigo from uploaders because he requested it
  * Add python-configparser and python-enum34 back to depends

 -- Ondřej Nový <onovy@debian.org>  Mon, 07 Aug 2017 20:47:30 +0200

python-flake8 (3.4.1-1) experimental; urgency=medium

  * New upstream release
  * Rebased patches for new upstream release
  * Bump required version of python{,3}-setuptools
  * Standards-Version is 4.0.0.4 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Fri, 04 Aug 2017 20:25:31 +0200

python-flake8 (3.3.0-1) experimental; urgency=medium

  * New upstream release
  * Bump required version of python{,3}-mccabe and python{,3}-pyflakes
  * d/copyright
    - Bump copyright years
    - Change source URL to new location
  * Enable autopkgtest-pkg-python testsuite
  * d/tests: Install only flake8 tool, not all binary packages

 -- Ondřej Nový <onovy@debian.org>  Sun, 09 Apr 2017 13:32:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
-           Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
            Barry Warsaw <barry@debian.org>,
 Build-Depends: debhelper (>= 10),
@@ -12,25 +11,26 @@
                python-all,
                python-configparser,
                python-enum34,
-               python-mccabe (>= 0.5.0),
+               python-mccabe (>= 0.6.0),
                python-mock (>= 2.0.0),
                python-nose,
                python-pycodestyle,
-               python-pyflakes (>= 1.1.0-1~),
+               python-pyflakes (>= 1.5.0),
                python-pytest,
                python-pytest-runner,
-               python-setuptools,
+               python-setuptools (>= 30),
                python3-all,
-               python3-mccabe (>= 0.5.0),
+               python3-mccabe (>= 0.6.0),
                python3-mock (>= 2.0.0),
                python3-nose,
                python3-pycodestyle,
-               python3-pyflakes (>= 1.1.0-1~),
+               python3-pyflakes (>= 1.5.0),
                python3-pytest,
                python3-pytest-runner,
-               python3-setuptools,
-Standards-Version: 3.9.8
+               python3-setuptools (>= 30),
+Standards-Version: 4.1.1
 Homepage: https://gitlab.com/pycqa/flake8
+Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-flake8.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-flake8.git
 X-Python-Version: >= 2.7
@@ -54,9 +54,11 @@
 
 Package: python-flake8
 Architecture: all
-Depends: python-mccabe (>= 0.5.0),
-         python-pyflakes (>= 1.1.0-1~),
-         python-setuptools,
+Depends: python-configparser,
+         python-enum34,
+         python-mccabe (>= 0.6.0),
+         python-pyflakes (>= 1.5.0),
+         python-setuptools (>= 30),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-mock,
@@ -70,8 +72,9 @@
 
 Package: python3-flake8
 Architecture: all
-Depends: python3-setuptools,
-         python3-pyflakes (>= 1.1.0-1~),
+Depends: python3-mccabe (>= 0.6.0),
+         python3-pyflakes (>= 1.5.0),
+         python3-setuptools (>= 30),
          ${misc:Depends},
          ${python3:Depends},
 Description: code checker using pycodestyle and pyflakes - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,6 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
-
-override_dh_auto_clean:
-	rm -rf flake8.egg-info
-	rm -rf build
-	rm -rf tox.ini
-	dh_auto_clean
 
 override_dh_auto_test:
 	touch tox.ini

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/flake8/flake8-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-flake8 3.6.0

=== debian/changelog ===
python-flake8 (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
   + Bump pyflakes dependency to >= 2.0.0.
  * Rebased patches for new upstream release.
  * d/patches/0002-Add-hooks-for-new-pycodestyle-checks: Drop, applied
    upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 18 Nov 2018 10:43:54 +0000

python-flake8 (3.5.0-2) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Backport compatibility with pycodestyle 2.4.0 from upstream
    (From Ubuntu)
  * d/rules: Don't run tests with nocheck build profile
  * Add upstream metadata
  * Bump standards version to 4.2.1 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Fri, 28 Sep 2018 11:09:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
            Ondřej Nový <onovy@debian.org>,
            Barry Warsaw <barry@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                pycodestyle,
                python-all,
@@ -14,8 +14,8 @@
                python-mccabe (>= 0.6.0),
                python-mock (>= 2.0.0),
                python-nose,
-               python-pycodestyle,
-               python-pyflakes (>= 1.5.0),
+               python-pycodestyle (>= 2.4.0),
+               python-pyflakes (>= 2.0.0),
                python-pytest,
                python-pytest-runner,
                python-setuptools (>= 30),
@@ -23,23 +23,22 @@
                python3-mccabe (>= 0.6.0),
                python3-mock (>= 2.0.0),
                python3-nose,
-               python3-pycodestyle,
-               python3-pyflakes (>= 1.5.0),
+               python3-pycodestyle (>= 2.4.0),
+               python3-pyflakes (>= 2.0.0),
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools (>= 30),
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://gitlab.com/pycqa/flake8
 Testsuite: autopkgtest-pkg-python
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-flake8.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-flake8.git
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-flake8.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flake8
 
 Package: flake8
 Architecture: all
 Depends: python3-flake8 (=${binary:Version}),
          python3-pkg-resources,
+         python3-pycodestyle (>= 2.4.0),
          ${misc:Depends},
          ${python3:Depends},
 Replaces: python-flake8 (<< 2.5.4-1),
@@ -57,6 +56,7 @@
 Depends: python-configparser,
          python-enum34,
          python-mccabe (>= 0.6.0),
+         python-pycodestyle (>= 2.4.0),
          python-pyflakes (>= 1.5.0),
          python-setuptools (>= 30),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,13 @@
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test
 
 override_dh_auto_install:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_install
 
 	rm -rf debian/python-flake8/usr/bin
 	mkdir -p debian/flake8/usr
 	mv $(CURDIR)/debian/python3-flake8/usr/bin $(CURDIR)/debian/flake8/usr/
+endif
 
 override_dh_installchangelogs:
 	rm -f debian/upstream-changelog

## python-flake8 3.7.8

=== debian/changelog ===
python-flake8 (3.7.8-3~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 03 Oct 2019 19:36:26 +0000

python-flake8 (3.7.8-3) unstable; urgency=medium

  * d/tests: Test Python 2 modules, not only Python 3 CLI
  * Add python-functools32 to python-flake8 dependencies

 -- Ondřej Nový <onovy@debian.org>  Thu, 18 Jul 2019 14:38:52 +0200

python-flake8 (3.7.8-2) unstable; urgency=medium

  * Add python-typing to python-flake8 dependencies

 -- Ondřej Nový <onovy@debian.org>  Wed, 17 Jul 2019 20:46:54 +0200

python-flake8 (3.7.8-1) unstable; urgency=medium

  * New upstream (Closes: #925355)
  * Rename d/tests/control.autodep8 to d/tests/control.
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump standards version to 4.4.0 (no changes)
  * d/patches: Rebase for new release
  * d/control: Arrange versioned dependencies for new upstream release
  * Add python-functools32 and python-typing to B-D

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 18:38:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,34 @@
 Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
            Ondřej Nový <onovy@debian.org>,
            Barry Warsaw <barry@debian.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                pycodestyle,
                python-all,
                python-configparser,
+               python-entrypoints (>= 0.3),
                python-enum34,
+               python-functools32,
                python-mccabe (>= 0.6.0),
                python-mock (>= 2.0.0),
                python-nose,
-               python-pycodestyle (>= 2.4.0),
-               python-pyflakes (>= 2.0.0),
+               python-pycodestyle (>= 2.5.0),
+               python-pyflakes (>= 2.1.0),
                python-pytest,
                python-pytest-runner,
                python-setuptools (>= 30),
+               python-typing,
                python3-all,
+               python3-entrypoints (>= 0.3),
                python3-mccabe (>= 0.6.0),
                python3-mock (>= 2.0.0),
                python3-nose,
-               python3-pycodestyle (>= 2.4.0),
-               python3-pyflakes (>= 2.0.0),
+               python3-pycodestyle (>= 2.5.0),
+               python3-pyflakes (>= 2.1.0),
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools (>= 30),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://gitlab.com/pycqa/flake8
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-flake8.git
@@ -38,7 +42,7 @@
 Architecture: all
 Depends: python3-flake8 (=${binary:Version}),
          python3-pkg-resources,
-         python3-pycodestyle (>= 2.4.0),
+         python3-pycodestyle (>= 2.5.0),
          ${misc:Depends},
          ${python3:Depends},
 Replaces: python-flake8 (<< 2.5.4-1),
@@ -54,11 +58,14 @@
 Package: python-flake8
 Architecture: all
 Depends: python-configparser,
+         python-entrypoints (>= 0.3),
          python-enum34,
+         python-functools32,
          python-mccabe (>= 0.6.0),
-         python-pycodestyle (>= 2.4.0),
-         python-pyflakes (>= 1.5.0),
+         python-pycodestyle (>= 2.5.0),
+         python-pyflakes (>= 2.1.0),
          python-setuptools (>= 30),
+         python-typing,
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-mock,
@@ -73,7 +80,7 @@
 Package: python3-flake8
 Architecture: all
 Depends: python3-mccabe (>= 0.6.0),
-         python3-pyflakes (>= 1.5.0),
+         python3-pyflakes (>= 2.1.0),
          python3-setuptools (>= 30),
          ${misc:Depends},
          ${python3:Depends},

=== debian/tests/control ===
Test-Command: debian/tests/check.sh "flake8"
Depends: flake8

Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do echo "Testing with $py:" ; debian/tests/check.sh "$py -m flake8" ; done
Depends: python-all, python-flake8

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do echo "Testing with $py:" ; debian/tests/check.sh "$py -m flake8" ; done
Depends: python3-all, python3-flake8

## python-flake8 3.7.9

=== debian/changelog ===
python-flake8 (3.7.9-2) unstable; urgency=medium

  * Drop python2 support; Closes: #937757

 -- Sandro Tosi <morph@debian.org>  Sat, 15 Feb 2020 13:08:53 -0500

python-flake8 (3.7.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Thu, 31 Oct 2019 14:17:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME = flake8
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	touch tox.ini
@@ -13,7 +13,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_install
 
-	rm -rf debian/python-flake8/usr/bin
 	mkdir -p debian/flake8/usr
 	mv $(CURDIR)/debian/python3-flake8/usr/bin $(CURDIR)/debian/flake8/usr/
 endif

=== debian/tests/control ===
Test-Command: debian/tests/check.sh "flake8"
Depends: flake8

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do echo "Testing with $py:" ; debian/tests/check.sh "$py -m flake8" ; done
Depends: python3-all, python3-flake8

## python-flake8 3.8.3

=== debian/changelog ===
python-flake8 (3.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Bump required version of pyflakes and pycodestyle.
  * Use pytest to run tests during build.
  * Bump debhelper compat level to 13.
  * Bump standards version to 4.5.0.
  * Set Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 12:26:38 +0200

=== debian/control ===
Source: python-flake8
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
           Ondřej Nový <onovy@debian.org>,
           Barry Warsaw <barry@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pycodestyle,
               python3-all,
               python3-entrypoints (>= 0.3),
               python3-mccabe (>= 0.6.0),
               python3-mock (>= 2.0.0),
               python3-nose,
               python3-pycodestyle (>= 2.6.0),
               python3-pyflakes (>= 2.2.0),
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools (>= 30),
Standards-Version: 4.5.0
Homepage: https://gitlab.com/pycqa/flake8
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/modules/python-flake8.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flake8
Rules-Requires-Root: no

Package: flake8
Architecture: all
Depends: python3-flake8 (=${binary:Version}),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Replaces: python-flake8 (<< 2.5.4-1),
Breaks: python-flake8 (<< 2.5.4-1),
Description: code checker using pycodestyle and pyflakes
 Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.
 Flake8 runs all tools by launching the single 'flake8' script, but ignores
 pycodestyle and PyFlakes extended options and just uses defaults. It displays
 the warnings in a per-file, merged output.
 .
 This package provides flake8 binary.

Package: python3-flake8
Architecture: all
Depends: python3-mccabe (>= 0.6.0),
         python3-pycodestyle (>= 2.6.0),
         python3-pyflakes (>= 2.2.0),
         python3-setuptools (>= 30),
         ${misc:Depends},
         ${python3:Depends},
Description: code checker using pycodestyle and pyflakes - Python 3.x
 Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.
 Flake8 runs all tools by launching the single 'flake8' script, but ignores
 pycodestyle and PyFlakes extended options and just uses defaults. It displays
 the warnings in a per-file, merged output.
 .
 This package provides Python 3 module bindings only.

## python-flake8 3.8.4

=== debian/changelog ===
python-flake8 (3.8.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Remove Barry Warsaw from Uploaders as he has retired from Debian
    (Closes: #970178).

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Oct 2020 09:39:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-flake8
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
            Ondřej Nový <onovy@debian.org>,
-           Barry Warsaw <barry@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pycodestyle,
@@ -21,8 +20,8 @@
 Standards-Version: 4.5.0
 Homepage: https://gitlab.com/pycqa/flake8
 Testsuite: autopkgtest-pkg-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-flake8.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flake8
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-flake8.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flake8
 Rules-Requires-Root: no
 
 Package: flake8

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,15 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-	touch tox.ini
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test
 
 override_dh_auto_install:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_install
 
 	mkdir -p debian/flake8/usr
 	mv $(CURDIR)/debian/python3-flake8/usr/bin $(CURDIR)/debian/flake8/usr/
+	# run tests after install: plugin needs to get registered by setup.py/entry_points
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest" dh_auto_test
 endif
 
 override_dh_installchangelogs:

## python-flake8 4.0.1

=== debian/changelog ===
python-flake8 (4.0.1-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks on python3-flake8-polyfill and python3-pytest-flake8

 -- Scott Talbert <swt@techie.net>  Mon, 21 Feb 2022 13:43:08 -0500

python-flake8 (4.0.1-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + flake8: Drop versioned constraint on python-flake8 in Replaces.
    + flake8: Drop versioned constraint on python-flake8 in Breaks.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-entrypoints,
      python3-mccabe, python3-mock and python3-setuptools.
    + python3-flake8: Drop versioned constraint on python3-mccabe and
      python3-setuptools in Depends.

  [ Scott Talbert ]
  * Update to new upstream release 4.0.1 (Closes: #1002319)
  * Update d/watch version to 4
  * Update Standards-Version to 4.6.0 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Fri, 18 Feb 2022 10:20:01 -0500

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                dh-python,
                pycodestyle,
                python3-all,
-               python3-entrypoints (>= 0.3),
-               python3-mccabe (>= 0.6.0),
-               python3-mock (>= 2.0.0),
+               python3-entrypoints,
+               python3-mccabe,
+               python3-mock,
                python3-nose,
-               python3-pycodestyle (>= 2.6.0),
-               python3-pyflakes (>= 2.2.0),
+               python3-pycodestyle (>= 2.8.0),
+               python3-pyflakes (>= 2.4.0),
                python3-pytest,
                python3-pytest-runner,
-               python3-setuptools (>= 30),
-Standards-Version: 4.5.0
+               python3-setuptools,
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/pycqa/flake8
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flake8.git
@@ -30,8 +30,6 @@
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},
-Replaces: python-flake8 (<< 2.5.4-1),
-Breaks: python-flake8 (<< 2.5.4-1),
 Description: code checker using pycodestyle and pyflakes
  Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.
  Flake8 runs all tools by launching the single 'flake8' script, but ignores
@@ -42,12 +40,14 @@
 
 Package: python3-flake8
 Architecture: all
-Depends: python3-mccabe (>= 0.6.0),
-         python3-pycodestyle (>= 2.6.0),
-         python3-pyflakes (>= 2.2.0),
-         python3-setuptools (>= 30),
+Depends: python3-mccabe,
+         python3-pycodestyle (>= 2.8.0),
+         python3-pyflakes (>= 2.4.0),
+         python3-setuptools,
          ${misc:Depends},
          ${python3:Depends},
+Breaks: python3-flake8-polyfill (<< 1.0.2-3~),
+        python3-pytest-flake8 (<< 1.0.6-4~),
 Description: code checker using pycodestyle and pyflakes - Python 3.x
  Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.
  Flake8 runs all tools by launching the single 'flake8' script, but ignores

=== debian/watch ===
version=4
opts=\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/flake8/flake8-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
